update person a
set
    (address_line_1, zip_code) =
    (
      select address_line_1, zip_code
      from person_address_corrections b
      where a.id = b.person_id
    )
where
    a.id in (select person_id from person_address_corrections);